Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLTableCellElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLTableCellElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLTableCellElement, Node

public class JRexHTMLTableCellElementImpl
extends JRexHTMLElementImpl
implements HTMLTableCellElement

A class implementing org.w3c.dom.html2.HTMLTableCellElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLTableCellElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAbbr()` Abbreviation for header cells.
`String` | `getAlign()` Horizontal alignment of data in cell.
`String` | `getAxis()` Names group of related headers.
`String` | `getBgColor()` Cell background color.
`int` | `getCellIndex()` The index of this cell in the row, starting from 0.
`String` | `getCh()` Alignment character for cells in a column.
`String` | `getChOff()` Offset of alignment character.
`int` | `getColSpan()` Number of columns spanned by cell.
`String` | `getHeaders()` List of `id` attribute values for header cells.
`String` | `getHeight()` Cell height.
`boolean` | `getNoWrap()` Suppress word wrapping.
`int` | `getRowSpan()` Number of rows spanned by cell.
`String` | `getScope()` Scope covered by header cells.
`String` | `getVAlign()` Vertical alignment of data in cell.
`String` | `getWidth()` Cell width.
`void` | `setAbbr(String abbr)` Abbreviation for header cells.
`void` | `setAlign(String align)` Horizontal alignment of data in cell.
`void` | `setAxis(String axis)` Names group of related headers.
`void` | `setBgColor(String bgColor)` Cell background color.
`void` | `setCh(String ch)` Alignment character for cells in a column.
`void` | `setChOff(String chOff)` Offset of alignment character.
`void` | `setColSpan(int span)` Number of columns spanned by cell.
`void` | `setHeaders(String hdrs)` List of `id` attribute values for header cells.
`void` | `setHeight(String height)` Cell height.
`void` | `setNoWrap(boolean noWrap)` Suppress word wrapping.
`void` | `setRowSpan(int span)` Number of rows spanned by cell.
`void` | `setScope(String scope)` Scope covered by header cells.
`void` | `setVAlign(String vAlign)` Vertical alignment of data in cell.
`void` | `setWidth(String width)` Cell width.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getCellIndex

    public int getCellIndex()

  Description copied from interface: `HTMLTableCellElement`
  The index of this cell in the row, starting from 0. This index is in document tree order and not display order.

  Specified by:
    `getCellIndex` in interface `HTMLTableCellElement`

### getAbbr

    public String getAbbr()

  Description copied from interface: `HTMLTableCellElement`
  Abbreviation for header cells. See the abbr attribute definition in HTML 4.01.

  Specified by:
    `getAbbr` in interface `HTMLTableCellElement`

### setAbbr

    public void setAbbr(String abbr)

  Description copied from interface: `HTMLTableCellElement`
  Abbreviation for header cells. See the abbr attribute definition in HTML 4.01.

  Specified by:
    `setAbbr` in interface `HTMLTableCellElement`

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLTableCellElement`
  Horizontal alignment of data in cell. See the align attribute definition in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLTableCellElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLTableCellElement`
  Horizontal alignment of data in cell. See the align attribute definition in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLTableCellElement`

### getAxis

    public String getAxis()

  Description copied from interface: `HTMLTableCellElement`
  Names group of related headers. See the axis attribute definition in HTML 4.01.

  Specified by:
    `getAxis` in interface `HTMLTableCellElement`

### setAxis

    public void setAxis(String axis)

  Description copied from interface: `HTMLTableCellElement`
  Names group of related headers. See the axis attribute definition in HTML 4.01.

  Specified by:
    `setAxis` in interface `HTMLTableCellElement`

### getBgColor

    public String getBgColor()

  Description copied from interface: `HTMLTableCellElement`
  Cell background color. See the bgcolor attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getBgColor` in interface `HTMLTableCellElement`

### setBgColor

    public void setBgColor(String bgColor)

  Description copied from interface: `HTMLTableCellElement`
  Cell background color. See the bgcolor attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setBgColor` in interface `HTMLTableCellElement`

### getCh

    public String getCh()

  Description copied from interface: `HTMLTableCellElement`
  Alignment character for cells in a column. See the char attribute definition in HTML 4.01.

  Specified by:
    `getCh` in interface `HTMLTableCellElement`

### setCh

    public void setCh(String ch)

  Description copied from interface: `HTMLTableCellElement`
  Alignment character for cells in a column. See the char attribute definition in HTML 4.01.

  Specified by:
    `setCh` in interface `HTMLTableCellElement`

### getChOff

    public String getChOff()

  Description copied from interface: `HTMLTableCellElement`
  Offset of alignment character. See the charoff attribute definition in HTML 4.01.

  Specified by:
    `getChOff` in interface `HTMLTableCellElement`

### setChOff

    public void setChOff(String chOff)

  Description copied from interface: `HTMLTableCellElement`
  Offset of alignment character. See the charoff attribute definition in HTML 4.01.

  Specified by:
    `setChOff` in interface `HTMLTableCellElement`

### getVAlign

    public String getVAlign()

  Description copied from interface: `HTMLTableCellElement`
  Vertical alignment of data in cell. See the valign attribute definition in HTML 4.01.

  Specified by:
    `getVAlign` in interface `HTMLTableCellElement`

### setVAlign

    public void setVAlign(String vAlign)

  Description copied from interface: `HTMLTableCellElement`
  Vertical alignment of data in cell. See the valign attribute definition in HTML 4.01.

  Specified by:
    `setVAlign` in interface `HTMLTableCellElement`

### getColSpan

    public int getColSpan()

  Description copied from interface: `HTMLTableCellElement`
  Number of columns spanned by cell. See the colspan attribute definition in HTML 4.01.

  Specified by:
    `getColSpan` in interface `HTMLTableCellElement`

### setColSpan

    public void setColSpan(int span)

  Description copied from interface: `HTMLTableCellElement`
  Number of columns spanned by cell. See the colspan attribute definition in HTML 4.01.

  Specified by:
    `setColSpan` in interface `HTMLTableCellElement`

### getHeaders

    public String getHeaders()

  Description copied from interface: `HTMLTableCellElement`
  List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.01.

  Specified by:
    `getHeaders` in interface `HTMLTableCellElement`

### setHeaders

    public void setHeaders(String hdrs)

  Description copied from interface: `HTMLTableCellElement`
  List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.01.

  Specified by:
    `setHeaders` in interface `HTMLTableCellElement`

### getHeight

    public String getHeight()

  Description copied from interface: `HTMLTableCellElement`
  Cell height. See the height attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getHeight` in interface `HTMLTableCellElement`

### setHeight

    public void setHeight(String height)

  Description copied from interface: `HTMLTableCellElement`
  Cell height. See the height attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setHeight` in interface `HTMLTableCellElement`

### getNoWrap

    public boolean getNoWrap()

  Description copied from interface: `HTMLTableCellElement`
  Suppress word wrapping. See the nowrap attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getNoWrap` in interface `HTMLTableCellElement`

### setNoWrap

    public void setNoWrap(boolean noWrap)

  Description copied from interface: `HTMLTableCellElement`
  Suppress word wrapping. See the nowrap attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setNoWrap` in interface `HTMLTableCellElement`

### getRowSpan

    public int getRowSpan()

  Description copied from interface: `HTMLTableCellElement`
  Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.01.

  Specified by:
    `getRowSpan` in interface `HTMLTableCellElement`

### setRowSpan

    public void setRowSpan(int span)

  Description copied from interface: `HTMLTableCellElement`
  Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.01.

  Specified by:
    `setRowSpan` in interface `HTMLTableCellElement`

### getScope

    public String getScope()

  Description copied from interface: `HTMLTableCellElement`
  Scope covered by header cells. See the scope attribute definition in HTML 4.01.

  Specified by:
    `getScope` in interface `HTMLTableCellElement`

### setScope

    public void setScope(String scope)

  Description copied from interface: `HTMLTableCellElement`
  Scope covered by header cells. See the scope attribute definition in HTML 4.01.

  Specified by:
    `setScope` in interface `HTMLTableCellElement`

### getWidth

    public String getWidth()

  Description copied from interface: `HTMLTableCellElement`
  Cell width. See the width attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getWidth` in interface `HTMLTableCellElement`

### setWidth

    public void setWidth(String width)

  Description copied from interface: `HTMLTableCellElement`
  Cell width. See the width attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setWidth` in interface `HTMLTableCellElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.